<?php
/*
乘风下载管理系统
作者QQ：178575
作者Email：yliangcf@163.com
作者网站：http://www.qqcf.com
详细简介：http://www.qqcf.com/cfdown.htm
上面有程序在线演示，安装演示，使用疑难解答，最新版本下载等内容
因为这些内容可能时常更新，就没有放在程序里，请自己上网站查看
*/
?>
<?php
//下载增加
if($action=="infoaddsave")
{
 $assort=ChkStr($_POST["assort"],2);
 $title=ChkStr($_POST["title"],1);
 $filesize=ChkStr($_POST["filesize"],1);
 $content=ChkStr($_POST["content"],0);
 $downurl=ChkStr($_POST["downurl"],1);
 $downsite=ChkStr($_POST["downsite"],2);
 $pwd=ChkStr($_POST["pwd"],1);
 $outpwd=ChkStr($_POST["outpwd"],1);
 $listid=ChkStr($_POST["listid"],2);

 
 if($assort=="") alertback("请选择分类",1);
 if($title=="") alertback("请输入标题",1);
 if($downurl=="") alertback("请输入下载地址",1);
 if($listid=="") alertback("请输入置顶数字",1);
 
 $Sql="select count(*) from cfdown_info where title='$title'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此标题",1);
 
 $idstr=shorturl(uniqid());//uniqid() 函数基于以微秒计的当前时间再进行缩短
 $Sql="select count(*) from cfdown_info where idstr='$idstr'";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此下载唯一缩短字符",1);
 
 $Sql="insert into cfdown_info(idstr,username,assort,title,filesize,content,downurl,downsite,pwd,outpwd,listid,addtime)
 values('$idstr','$username',$assort,'$title','$filesize','$content','$downurl',$downsite,'$pwd','$outpwd',$listid,'".date("Y-m-d H:i:s")."')";

 
 mysql_query($Sql);
 alerturl("增加成功",$_GET['refurl']);
}


//下载修改
if($action=="infomodifysave")
{
 $id=ChkStr($_GET["id"],2);
 $assort=ChkStr($_POST["assort"],2);
 $title=ChkStr($_POST["title"],1);
 $filesize=ChkStr($_POST["filesize"],1);
 $content=ChkStr($_POST["content"],0);
 $downurl=ChkStr($_POST["downurl"],1);
 $downsite=ChkStr($_POST["downsite"],2);
 $listid=ChkStr($_POST["listid"],2);
 $idstr=ChkStr($_POST["idstr"],1);
 $pwd=ChkStr($_POST["pwd"],1);
 $outpwd=ChkStr($_POST["outpwd"],1);
 $addtime=ChkStr($_POST["addtime"],3);

 
 if($id=="") alertback("id不能为空",1);
 if($assort=="") alertback("请选择分类",1);
 if($title=="") alertback("请输入标题",1);
 if($downurl=="") alertback("请输入下载地址",1);
 if($listid=="") alertback("请输入置顶数字",1);
 if($idstr=="") alertback("唯一缩短字符不能为空",1);
 if($addtime=="") alertback("请输入加入时间",1);
 
 $Sql="select count(*) from cfdown_info where title='$title' and id<>$id";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此标题",1);
 
 $Sql="select count(*) from cfdown_info where idstr='$idstr' and id<>$id";
 $Result=mysql_query($Sql);
 $Rs=mysql_fetch_row($Result);
 if($Rs[0]>0) alertback("已经存在此下载唯一缩短字符",1);
 
 $Sql="update cfdown_info set 
 idstr='$idstr',assort=$assort,title='$title',filesize='$filesize',content='$content',
 downurl='$downurl',downsite=$downsite,pwd='$pwd',outpwd='$outpwd',listid=$listid,addtime='$addtime' 
 where username='$username' and id=$id";

 mysql_query($Sql);
 alerturl("修改成功",$_GET['refurl']);
}


//下载删除
if($action=="infodel")
{
 $id=ChkStr($_GET["id"],2);
 if($id=="") alertback("id不能为空",1);
 
 $Sql="delete from cfdown_info where id=$id";
 mysql_query($Sql);
 AlertRef("删除成功");
}


//用户资料修改
if($action=="usermodifysave")
{
 $email=chkstr($_POST["email"],1);
 $qq=chkstr($_POST["qq"],1);
 
 if($email=="") alertback("请输入Email地址",1); 
 
 $Sql="update cfdown_user set email='$email',qq='$qq' where username='$username'"; 
 mysql_query($Sql);
 AlertRef("修改成功");
}


//修改密码
 if($action=="pwdmodifysave")
{
 $pwd_old=chkstr($_POST["pwd_old"],1); 
 $pwd=chkstr($_POST["pwd"],1);
 $pwd2=chkstr($_POST["pwd2"],1);

 if($pwd_old=="") alertback("请输入旧密码",1);
 if($pwd=="") alertback("请输入新密码",1);
 if($pwd2=="") alertback("请输入重复新密码",1);
 
 if($pwd<>$pwd2) alertback("两次输入的密码不一致",1);
 
 $Sql="select pwd,salt from cfdown_user where username='$username'";
 $result=mysql_query($Sql);
 $Rs=mysql_fetch_assoc($result);
 if ($Rs["pwd"]<>md5($pwd_old.$Rs["salt"])) alertback("旧密码错误",1);
  
 $pwd=md5($pwd.$Rs["salt"]);
 $Sql="update cfdown_user set pwd='$pwd' where username='$username'";

 mysql_query($Sql);
 alerturl("修改成功","?action=pwdmodify");
}

//用户退出
if ($action=="userlogout")
{
 $_SESSION["cfdownuser"]="";
 setcookie("cfdownusercookie","",time()-3600,"/");
 AlertUrl("","../../");
}
